Debian Bug report logs - #700257
slbackup-php: Fails to submit correctly entered password

version graph

Package: slbackup-php; Maintainer for slbackup-php is Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>; Source for slbackup-php is src:slbackup-php.

Reported by: wschweer@arcor.de

Date: Sun, 10 Feb 2013 17:21:04 UTC

Severity: critical

Tags: upstream

Found in version slbackup-php/0.4.3-2

Fixed in versions slbackup-php/0.4.4-1, slbackup-php/0.4.3-2+deb7u1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-edu@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Sun, 10 Feb 2013 17:21:06 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: "Wolfgang Schweer" <w.schweer@gmx.de>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: slbackup-php: Fails to submit correctly entered password
Date: 10 Feb 2013 18:20:07 +0100
Package: slbackup-php
Version: 0.4.3-2
Severity: important
Tags: upstream

Hi,

when the correct password for user "root" is entered, nothing happens.
Neither the Administration page appears, nor a feedback is given.

This happens when running a Debian Edu Wheezy combined server.

Output from /var/log/auth.log

Feb 10 17:46:01 tjener sshd[6613]: pam_unix(sshd:auth): authentication failure; logname= uid=0 euid=0 tty=ssh ruser= rhost=tjener.intern  user=root
Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth): getting password (0x00000388)
Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth): pam_get_item returned a password
Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth): request wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error: PAM_USER_UNKNOWN (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such user
Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from 10.0.2.2 port 52182 ssh2
Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from 10.0.2.2 port 52182 ssh2
Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from 10.0.2.2 port 52182 ssh2
Feb 10 17:46:03 tjener sshd[6613]: Connection closed by 10.0.2.2 [preauth]
Feb 10 17:47:03 tjener sshd[6670]: Connection closed by 10.0.2.2 [preauth]

While failing ntlm auth is as expected, failing sshd auth is not.

A normal ssh connection (from *gateway") works.

Wolfgang



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Thu, 14 Feb 2013 08:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Thu, 14 Feb 2013 08:57:08 GMT) Full text and rfc822 format available.

Message #8 received at 700257@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: debian-edu@lists.debian.org
Cc: 700257@bugs.debian.org
Subject: Re: Bug#700257: slbackup-php: Fails to submit correctly entered password
Date: Thu, 14 Feb 2013 09:54:38 +0100
[Message part 1 (text/plain, inline)]
Hi Wolfang,

On So 10 Feb 2013 18:20:07 CET Wolfgang Schweer wrote:

> when the correct password for user "root" is entered, nothing happens.
> Neither the Administration page appears, nor a feedback is given.
>
> This happens when running a Debian Edu Wheezy combined server.
>
> Output from /var/log/auth.log
>
> Feb 10 17:46:01 tjener sshd[6613]: pam_unix(sshd:auth):  
> authentication failure; logname= uid=0 euid=0 tty=ssh ruser=  
> rhost=tjener.intern  user=root
>

> Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth): getting  
> password (0x00000388)
> Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth):  
> pam_get_item returned a password
> Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth): request  
> wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error: PAM_USER_UNKNOWN  
> (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such  
> user
> Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from  
> 10.0.2.2 port 52182 ssh2
> Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from  
> 10.0.2.2 port 52182 ssh2
> Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from  
> 10.0.2.2 port 52182 ssh2
> Feb 10 17:46:03 tjener sshd[6613]: Connection closed by 10.0.2.2 [preauth]
> Feb 10 17:47:03 tjener sshd[6670]: Connection closed by 10.0.2.2 [preauth]
>
> While failing ntlm auth is as expected, failing sshd auth is not.
>
> A normal ssh connection (from *gateway") works.

This does not seem like an slbackup-php error... Hmmm... Could you  
purge pam_winbind from the PAM configuration (actually, I do not see  
any reason at all why we need winbind on TJENER!!!) and try again?

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Thu, 14 Feb 2013 15:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to wschweer@arcor.de:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Thu, 14 Feb 2013 15:24:05 GMT) Full text and rfc822 format available.

Message #13 received at 700257@bugs.debian.org (full text, mbox):

From: "Wolfgang Schweer" <w.schweer@gmx.de>
To: debian-edu@lists.debian.org
Cc: 700257@bugs.debian.org
Subject: Re: Bug#700257: slbackup-php: Fails to submit correctly entered password
Date: 14 Feb 2013 11:01:00 +0100
[Message part 1 (text/plain, inline)]
On Thu, Feb 14, 2013 at 09:54:38AM +0100, Mike Gabriel wrote:
> 
> On So 10 Feb 2013 18:20:07 CET Wolfgang Schweer wrote:
> 
> >when the correct password for user "root" is entered, nothing happens.
> >Neither the Administration page appears, nor a feedback is given.
> >
> >This happens when running a Debian Edu Wheezy combined server.
> >
> >Output from /var/log/auth.log
> >
> >Feb 10 17:46:01 tjener sshd[6613]: pam_unix(sshd:auth):
> >authentication failure; logname= uid=0 euid=0 tty=ssh ruser=
> >rhost=tjener.intern  user=root
> >
> 
> >Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth): getting
> >password (0x00000388)
> >Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth):
> >pam_get_item returned a password
> >Feb 10 17:46:01 tjener sshd[6613]: pam_winbind(sshd:auth): request
> >wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error:
> >PAM_USER_UNKNOWN (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error
> >message was: No such user
> >Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from
> >10.0.2.2 port 52182 ssh2
> >Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from
> >10.0.2.2 port 52182 ssh2
> >Feb 10 17:46:03 tjener sshd[6613]: Failed password for root from
> >10.0.2.2 port 52182 ssh2
> >Feb 10 17:46:03 tjener sshd[6613]: Connection closed by 10.0.2.2 [preauth]
> >Feb 10 17:47:03 tjener sshd[6670]: Connection closed by 10.0.2.2 [preauth]
> >
> >While failing ntlm auth is as expected, failing sshd auth is not.
> >
> >A normal ssh connection (from *gateway") works.
> 
> This does not seem like an slbackup-php error... Hmmm... Could you
> purge pam_winbind from the PAM configuration (actually, I do not see
> any reason at all why we need winbind on TJENER!!!) and try again?
 
Hi Mike,

tried again after 'apt-get purge winbind'; same failure as before 
(except that fallthrough auth attempt).

Feb 14 10:40:33 tjener sshd[9395]: pam_unix(sshd:auth): authentication failure; logname= uid=0 euid=0 tty=ssh ruser= rhost=tjener.intern  user=root
Feb 14 10:40:35 tjener sshd[9395]: Failed password for root from 10.0.2.2 port 57369 ssh2
Feb 14 10:40:35 tjener sshd[9395]: Failed password for root from 10.0.2.2 port 57369 ssh2
Feb 14 10:40:35 tjener sshd[9395]: Failed password for root from 10.0.2.2 port 57369 ssh2
Feb 14 10:40:35 tjener sshd[9395]: Connection closed by 10.0.2.2 [preauth]

Any explanation for failing three times, not only once?

Wolfgang

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Fri, 07 Jun 2013 08:39:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Schweer <wschweer@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Fri, 07 Jun 2013 08:39:20 GMT) Full text and rfc822 format available.

Message #18 received at 700257@bugs.debian.org (full text, mbox):

From: Wolfgang Schweer <wschweer@arcor.de>
To: 700257@bugs.debian.org
Cc: debian-edu <debian-edu@lists.debian.org>
Subject: slbackup-php: Maybe a fix for failing login
Date: Fri, 7 Jun 2013 10:38:50 +0200
[Message part 1 (text/plain, inline)]
This patch seems to work:

--- a/index.php	2013-06-06 19:06:05.000000000 +0200
+++ b/index.php	2013-06-07 10:34:55.631979912 +0200
@@ -620,6 +620,7 @@
             break ;
         case "nonhttps":
             $nonhttps = $value ;
+            break ;
         case "Passwd": 
             $passwd = $value ; 
             $submit = "status" ; 


Wolfgang

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Fri, 07 Jun 2013 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Fri, 07 Jun 2013 09:03:04 GMT) Full text and rfc822 format available.

Message #23 received at 700257@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Wolfgang Schweer <wschweer@arcor.de>, 700257@bugs.debian.org
Cc: debian-edu <debian-edu@lists.debian.org>
Subject: Re: Bug#700257: slbackup-php: Maybe a fix for failing login
Date: Fri, 7 Jun 2013 10:59:16 +0200
[Wolfgang Schweer]
> This patch seems to work:

Wow.  This is great news.  Patches for both the blocking bugs for
Debian Edu Wheezy in the same week.

Can you explain what the patch do, and how this could work ealier?

-- 
Happy hacking
Petter Reinholdtsen



Added tag(s) pending. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Fri, 07 Jun 2013 09:45:17 GMT) Full text and rfc822 format available.

Message sent on to wschweer@arcor.de:
Bug#700257. (Fri, 07 Jun 2013 09:45:20 GMT) Full text and rfc822 format available.

Message #28 received at 700257-submitter@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 700257-submitter@bugs.debian.org
Subject: Bug#700257 marked as pending
Date: Fri, 07 Jun 2013 09:43:00 +0000
tag 700257 pending
thanks

Hello,

Bug #700257 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=debian-edu/slbackup-php.git;a=commitdiff;h=679daad

---
commit 679daadcd89f12fe659785654f1040ddfded57b1
Author: Petter Reinholdtsen <pere@hungry.com>
Date:   Fri Jun 7 11:42:43 2013 +0200

    Add missing 'break' in handling of PHP argument nonhttps, causing login to fail (Closes: #700257).  Patch from Wolfgang Schweer.

diff --git a/debian/changelog b/debian/changelog
index cb49bd7..8f9eca0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,5 +1,6 @@
 slbackup-php (0.4.3-3) UNRELEASED; urgency=low
 
+  [ Mike Gabriel ]
   * /debian/control:
     + Use my DD mail address in Uploaders: field.
     + Bump Standards: to 3.9.4 after some changes as documented below.
@@ -8,6 +9,10 @@ slbackup-php (0.4.3-3) UNRELEASED; urgency=low
     + Add rules build-arch and build-indep.
   * Install slbackup-php.desktop into bin:package.
 
+  [ Petter Reinholdtsen ]
+  * Add missing 'break' in handling of PHP argument nonhttps, causing
+    login to fail (Closes: #700257).  Patch from Wolfgang Schweer.
+
  -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Mar 2013 22:46:06 +0100
 
 slbackup-php (0.4.3-2) unstable; urgency=low



Message sent on to wschweer@arcor.de:
Bug#700257. (Fri, 07 Jun 2013 15:45:17 GMT) Full text and rfc822 format available.

Message #31 received at 700257-submitter@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 700257-submitter@bugs.debian.org
Subject: Bug#700257 marked as pending
Date: Fri, 07 Jun 2013 15:41:32 +0000
tag 700257 pending
thanks

Hello,

Bug #700257 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=debian-edu/slbackup-php.git;a=commitdiff;h=05cefa3

---
commit 05cefa34b21187b6e3578c4e9938fcda9bbb66dc
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jun 7 15:50:34 2013 +0200

    Add patch: 001_nonhttps-failure.patch. Add missing 'break' in handling of PHP argument nonhttps, causing login to fail (Closes: #700257).  Patch from Wolfgang Schweer.

diff --git a/debian/changelog b/debian/changelog
index af97e7b..c9d4d9b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,9 @@ slbackup-php (0.4.3-3) UNRELEASED; urgency=low
   * /debian/rules:
     + Add rules build-arch and build-indep.
   * Install slbackup-php.desktop into bin:package.
+  * Add patch: 001_nonhttps-failure.patch. Add missing 'break' in
+    handling of PHP argument nonhttps, causing login to fail (Closes:
+    #700257).  Patch from Wolfgang Schweer.
 
   [ Petter Reinholdtsen ]
   * Remove no longer active uploaders Patrick Winnertz, Morten Werner



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Fri, 07 Jun 2013 16:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Fri, 07 Jun 2013 16:09:08 GMT) Full text and rfc822 format available.

Message #36 received at 700257@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 700257@bugs.debian.org
Subject: Re: Bug#700257: slbackup-php: Maybe a fix for failing login
Date: Fri, 7 Jun 2013 18:06:55 +0200
severity 700257 critical
thanks

Btw, I believe this issue really is release critical, as it make the
package fail to work properly.  Raising the severity to critical.

-- 
Happy hacking
Petter Reinholdtsen



Severity set to 'critical' from 'important' Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Fri, 07 Jun 2013 16:09:11 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Sun, 09 Jun 2013 16:39:09 GMT) Full text and rfc822 format available.

Notification sent to wschweer@arcor.de:
Bug acknowledged by developer. (Sun, 09 Jun 2013 16:39:09 GMT) Full text and rfc822 format available.

Message #43 received at 700257-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 700257-close@bugs.debian.org
Subject: Bug#700257: fixed in slbackup-php 0.4.4-1
Date: Sun, 09 Jun 2013 16:36:45 +0000
Source: slbackup-php
Source-Version: 0.4.4-1

We believe that the bug you reported is fixed in the latest version of
slbackup-php, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated slbackup-php package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 07 Jun 2013 17:57:06 +0200
Source: slbackup-php
Binary: slbackup-php
Architecture: source all
Version: 0.4.4-1
Distribution: sid
Urgency: low
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 slbackup-php - Web-based administration tool for slbackup
Closes: 700257 711495
Changes: 
 slbackup-php (0.4.4-1) unstable; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (Closes: #700257).
   * /debian/control:
     + Use my DD mail address in Uploaders: field.
     + Bump Standards: to 3.9.4 after some changes as documented below.
     + Add home page and VCS URL (Closes: #711495).
   * /debian/rules:
     + Add rules build-arch and build-indep.
   * Install slbackup-php.desktop into bin:package.
   * Drop Encoding key from slbackup-php.desktop (deprecated by the
     FreeDesktop standard).
   * Lintian issues:
     + Add override for »slbackup-php: desktop-command-not-in-package
       usr/share/applications/slbackup-php.desktop x-www-browser«.
 .
   [ Petter Reinholdtsen ]
   * Remove no longer active uploaders Patrick Winnertz, Morten Werner
     Olsen, Finn-Arne Johansen.  A huge thank you to all of them for
     past help and effort.
Checksums-Sha1: 
 1036459df6570a4b0170a8c0a6c4007e93827a1b 2036 slbackup-php_0.4.4-1.dsc
 9ee88d8300a2179d66b1e38f432a8c7ee98c844c 34389 slbackup-php_0.4.4.orig.tar.gz
 488ab84f7e5e7b4c14ca9e2d3d5e948f63f50494 11328 slbackup-php_0.4.4-1.debian.tar.gz
 670df76a56f57330d9e5bb19719ed5c2e08bb361 26676 slbackup-php_0.4.4-1_all.deb
Checksums-Sha256: 
 8d6c96732b2d92cac32d165dbaac30ef99a2d1f096bf46d2dc71d59cce5ca106 2036 slbackup-php_0.4.4-1.dsc
 64f3b70a16c41ca9cb677822c22e8fd885592856cf3dce637fce731116c71682 34389 slbackup-php_0.4.4.orig.tar.gz
 a6d9dba7be804ba281d330fa6f9785ad8a6874cdcadf5fc34d20fb399eac0c94 11328 slbackup-php_0.4.4-1.debian.tar.gz
 3a006f81a46dbeacde952049e01ecc3baabbda304cfed272ff5a425a540617a5 26676 slbackup-php_0.4.4-1_all.deb
Files: 
 db851c2480a939c75a44f845122a7606 2036 misc optional slbackup-php_0.4.4-1.dsc
 979dd9aa737fd7cc6cb7b0c410d35dd2 34389 misc optional slbackup-php_0.4.4.orig.tar.gz
 9068e0a807189cfb7053ed7b261b3f12 11328 misc optional slbackup-php_0.4.4-1.debian.tar.gz
 fcf39ecac6670e0426238070f2e6c774 26676 misc optional slbackup-php_0.4.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRsgP+AAoJEJr0azAldxsx5WAP/3fs2igXVerGEGAN/FgeEePx
YoXur4pujFrOe3ZxGWAZxixct8Jht44b7s90CEakCYmGt7VvC7DKcX83MTZ1fQa3
TaCqwDT3joMSbg0MHtabjQkMtbGWAHrPpjIcT96w56mW2y+tOwSJOxLs3eBvi0bG
JhbLlNOeu9dwrA1fdECp8rTcSlnjfg3E/SOPUGt66Qko2fxXckvDiINCHHZwC5an
aeJFD++sbXfOjC0wVgvgba7WKpnFCfH34Zut8MbOp+FyHZJVrcYFe9+LbCRQMStc
SEvgnGkzHKE8TbJ2xdMWsXSk1jeRfDQcFEGsFHXv8ppLhgOqwrwoWQ7uZTYZkNZ2
YgbmFACrwBt1Xtb+bzfsYK5mKd6m88RpVfXsuBnKRqQnv5V+UDveeYrfSe0n4hx8
h8xFmX999zjEpJnZWahODgYn86ZPC/ZJqO6Rm7PZ2DAcZ5oBZXwunXAZTcOhpk9j
6d9rCKXGq+/aUrh7ldUiNINbWOpdn0khaEe/6XoplqAfFdCB1BL2j/2gRzymCtBe
NJJ2zi5cxHl2VYWhedcd7V/hFTht1WoKqsbYkefQE6DDEwWmlihQekXG5MVYAi9j
oCXYeyxa+f5/uyHDodjVRCOrZuLaxE6hXum9U9gpr6Fxu8YLEgtPIIWI5sWyX1Lt
OnRvSmRR3SY7NWRoDklc
=d9La
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.debian.org. (Mon, 10 Jun 2013 05:51:04 GMT) Full text and rfc822 format available.

Message sent on to wschweer@arcor.de:
Bug#700257. (Mon, 10 Jun 2013 05:51:08 GMT) Full text and rfc822 format available.

Message #48 received at 700257-submitter@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 700257-submitter@bugs.debian.org
Subject: Bug#700257 marked as pending
Date: Mon, 10 Jun 2013 05:48:02 +0000
tag 700257 pending
thanks

Hello,

Bug #700257 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=debian-edu/slbackup-php.git;a=commitdiff;h=7c5432a

---
commit 7c5432a4f247c5940d937c456a3f4d5362359317
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Jun 8 23:58:18 2013 +0200

    /debian/patches: (Closes: #700257).
    
    * /debian/patches: (Closes: #700257).
      + Add patch 001_fix-nonhttps-logins.patch. Store nonhttps param
        in client-side cookie and update it if changed via query string.
      + Add patch 002_default-backuphost-to-localhost.patch. Stop relying
        on a »backup« host in /etc/hosts or DNS. Makes slbackup-php work
        out-of-the-box on vanilla Debian (opposed to Debian Edu) systems.
      + Add patch 003_fix-dir-for-config-file.patch. Search for config file
        in our own /etc/ folder namespace.

diff --git a/debian/changelog b/debian/changelog
index 2217b9e..e87cf48 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,14 @@ slbackup-php (0.4.3-3) UNRELEASED; urgency=low
 
   * /debian/control:
     + Use my DD mail address in Uploaders: field.
+  * /debian/patches: (Closes: #700257).
+    + Add patch 001_fix-nonhttps-logins.patch. Store nonhttps param
+      in client-side cookie and update it if changed via query string.
+    + Add patch 002_default-backuphost-to-localhost.patch. Stop relying
+      on a »backup« host in /etc/hosts or DNS. Makes slbackup-php work
+      out-of-the-box on vanilla Debian (opposed to Debian Edu) systems.
+    + Add patch 003_fix-dir-for-config-file.patch. Search for config file
+      in our own /etc/ folder namespace.
 
  -- Mike Gabriel <sunweaver@debian.org>  Fri, 22 Mar 2013 22:46:06 +0100
 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Fri, 14 Jun 2013 16:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Fri, 14 Jun 2013 16:30:09 GMT) Full text and rfc822 format available.

Message #53 received at 700257@bugs.debian.org (full text, mbox):

From: Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>
To: Debian Bug Tracking System <700257@bugs.debian.org>
Subject: Correction for slbackup-php login ans checkbox option
Date: Fri, 14 Jun 2013 17:34:58 +0200
Package: slbackup-php
Severity: normal


Correction __________________________________________________
/usr/share/slbackup-php/web# diff index.php.orig index.php
622a623
>             break ;
656a658
>             break ;
711,712c713,714
<     sscanf ($array[0], "%d", $config["minutes"]) ; 
<     sscanf ($array[1], "%d", $config["hours"]) ; 
---
>     sscanf ($array[0], "%s", $config["minutes"]) ; 
>     sscanf ($array[1], "%s", $config["hours"]) ; 
Correction __________________________________________________
/usr/share/slbackup-php/templates# diff config.tpl.orig config.tpl
48,49c48
< 		    {html_options name=server_type values=$types 
< 		                  output=$types selected=$server_type}
---
> 		    {html_options name=server_type values=$types output=$types selected=$server_type}
69,70c68
< 	{html_options name=client values=$clients output=$clients 
< 	              selected=$client}
---
> 	{html_options name=client values=$clients output=$clients selected=$client}
90,91c88
< 		    {html_options name=client_type values=$types 
< 		                  output=$types selected=$client_type}
---

> 		    {html_options name=client_type values=$types output=$types selected=$client_type}

/usr/share/slbackup-php/templates# diff maint.tpl.orig maint.tpl
23,24c23
< 	{html_options name=client values=$clients output=$clients 
< 	              selected=$client}
---
> 	{html_options name=client values=$clients output=$clients selected=$client}
29,30c28
< 	{html_options name=snapshot values=$snapshots output=$snapshots
< 	              selected=$snapshot}
---
> 	{html_options name=snapshot values=$snapshots output=$snapshots selected=$snapshot}


/usr/share/slbackup-php/templates# diff restore.tpl.orig restore.tpl
23,24c23
< 	{html_options name=client values=$clients output=$clients 
< 	              selected=$client}
---
> 	{html_options name=client values=$clients output=$clients selected=$client}
27,28c26
< 	{html_options name=location values=$locations output=$locations 
< 	              selected=$location}
---
> 	{html_options name=location values=$locations output=$locations selected=$location}

Missing File _________________________________________________
# cat /etc/slbackup/config.php 
<?
######################################################
# Fichier de configuration de slbackup-php
######################################################

# Comportement sur acces non sécurisé (mot de passe root en clair sur le réseaux)
# les valeurs sont "warn", "allow", "deny".
#$nonhttps	=	"warn";
# Chemin relatif des templates
#$smarty_templ	=	"../templates";
# Chemin du spool des php temporaires
#$smarty_compile	=	"/var/spool/slbackup-php";

$backuphost	="nom du serveur slbackup" ;
#$backupuser	="root" ;
#$backupconf	="/etc/slbackup/slbackup.conf" ;
#$backupcron	="/etc/cron.d/slbackup" ;
# option -v pour un log plus détaillé dans >>>> /tmp/error.log <<<<<<<
$ssh_options	="-v -o StrictHostKeyChecking=no" ;
#$logfile	="/var/log/slbackup/slbackup.log" ;

?>
______________________________________________________________

-- System Information:
Debian Release: 6.0.7
  APT prefers oldstable-updates
  APT policy: (500, 'oldstable-updates'), (500, 'oldstable-proposed-updates'), (500, 'oldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Ce message a �t� v�rifi� par MailScanner
pour des virus ou des polluriels et rien de
suspect n'a �t� trouv�.
For all your IT requirements visit: http://www.transtec.co.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Fri, 14 Jun 2013 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Fri, 14 Jun 2013 20:03:04 GMT) Full text and rfc822 format available.

Message #58 received at 700257@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Monsieur Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>, 700257@bugs.debian.org
Subject: Re: Bug#700257: Correction for slbackup-php login ans checkbox option
Date: Fri, 14 Jun 2013 22:00:20 +0200
[Monsieur Cyril ETCHEVERRIA]
> Correction __________________________________________________
> /usr/share/slbackup-php/web# diff index.php.orig index.php

Thank you for the patch.  Which version of slbackup-php are you using?
Are you using it with Debian Edu?

-- 
Happy hacking
Petter Reinholdtsen



Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Sun, 16 Jun 2013 19:51:13 GMT) Full text and rfc822 format available.

Notification sent to wschweer@arcor.de:
Bug acknowledged by developer. (Sun, 16 Jun 2013 19:51:13 GMT) Full text and rfc822 format available.

Message #63 received at 700257-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 700257-close@bugs.debian.org
Subject: Bug#700257: fixed in slbackup-php 0.4.3-2+deb7u1
Date: Sun, 16 Jun 2013 19:47:05 +0000
Source: slbackup-php
Source-Version: 0.4.3-2+deb7u1

We believe that the bug you reported is fixed in the latest version of
slbackup-php, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated slbackup-php package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Jun 2013 07:48:57 +0200
Source: slbackup-php
Binary: slbackup-php
Architecture: source all
Version: 0.4.3-2+deb7u1
Distribution: wheezy
Urgency: low
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 slbackup-php - Web-based administration tool for slbackup
Closes: 700257
Changes: 
 slbackup-php (0.4.3-2+deb7u1) stable-proposed-updates; urgency=low
 .
   * /debian/control:
     + Use my DD mail address in Uploaders: field.
   * /debian/patches: (Closes: #700257).
     + Add patch 001_fix-nonhttps-logins.patch. Store nonhttps param
       in client-side cookie and update it if changed via query string.
     + Add patch 002_default-backuphost-to-localhost.patch. Stop relying
       on a »backup« host in /etc/hosts or DNS. Makes slbackup-php work
       out-of-the-box on vanilla Debian (opposed to Debian Edu) systems.
     + Add patch 003_fix-dir-for-config-file.patch. Search for config file
       in our own /etc/ folder namespace.
Checksums-Sha1: 
 1e2cf3b7eddc2d6365ab68928ae0ddd55563c945 1948 slbackup-php_0.4.3-2+deb7u1.dsc
 d69079f66f71e08fea02489c8794617483b9bf95 4838 slbackup-php_0.4.3-2+deb7u1.diff.gz
 7ab83693793a518cbdcda703b34035e7141b42b2 25872 slbackup-php_0.4.3-2+deb7u1_all.deb
Checksums-Sha256: 
 a7cd3744256fdd053578a4e7e81df4ab42d112290e976f4fc04c1a56d2e73c71 1948 slbackup-php_0.4.3-2+deb7u1.dsc
 2b5a85cea0b159ef6917cecf434e9046b2aaff0c64ddaa898eb0a969a997b13e 4838 slbackup-php_0.4.3-2+deb7u1.diff.gz
 37ebc82248a1f2e5493ab1abeabbe318b604b50573f43317e122c5d6ee987c3d 25872 slbackup-php_0.4.3-2+deb7u1_all.deb
Files: 
 abee3bd2d0dd77cdd3581196887f8c4a 1948 misc optional slbackup-php_0.4.3-2+deb7u1.dsc
 e4061fcd37bc6d9a7729b2a00b360bf8 4838 misc optional slbackup-php_0.4.3-2+deb7u1.diff.gz
 a61615c12eef01f46c1b5117900d3b47 25872 misc optional slbackup-php_0.4.3-2+deb7u1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRtXURAAoJEJr0azAldxsxtOAP/1u3u8vy2X1qVJbqzZD12r6O
DXUtt0vUndXA0lUYBZOFmBprTV3DlBp/dp4p+DqGOPu4Nl9CdaX9r3LB188pLiph
vrcSxsWV7qIAeMWC7dNeH40Oxm7p30Mu/5Xj9E7PA4X/od9WzsIIpb/qZxnya7Ri
v83/K3xmNXB6XPWasH7fRGCZk47TP3sG2V6oQPaUvKJonXBBmSf/b7uaocboZ/D9
QrYPg5wKCKuMgh1mGoDEozdBg6aJ5UIIH1d3vBWBOc33XDZ5uCg6DPrKUw+PkWih
ZZ54f1lVLrRq0J8rKZS9M6wF2RjBPLA0WgpoxxrXinY0iHCfweIm5zHHZhAmJ/hs
8UpT4rlFRKsRyR78cbvEIYE64jk6h0WxYeTlOqhvAmAtw3wcIywCQ3VmY0kg/NfR
zCW7CY0tqYF03eovBQURcPbmPHN4Cv9nSoACse6l72jBLCmFyQPTwJKROy4dN/BJ
/TWJvfQ1H8xDJLO3nwsgalGPDEZ4Kxw213lGmvSYx0UfvL1u/WW97qWVHYbY6/Vg
LhwJluciawBYQvwwHrPVggQ9uPbg0un+sVeeog29aH+4GmjSVTpQLHAVK4rl80qu
F17WD9qsFGkRZxoCpm8atx9tAioykvG5Sj97rniig6+0mD7F8MbrJlCapL0BI8Ab
KFDXNcwgQRGmeg1Y9EB4
=QbVO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>:
Bug#700257; Package slbackup-php. (Wed, 19 Jun 2013 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>. (Wed, 19 Jun 2013 21:21:04 GMT) Full text and rfc822 format available.

Message #68 received at 700257@bugs.debian.org (full text, mbox):

From: Cyril ETCHEVERRIA <cyril.e@wanadoo.fr>
To: Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no>
Subject: Re: Bug#700257: Correction for slbackup-php login ans checkbox option
Date: Sat, 15 Jun 2013 14:51:13 +0200
Hi,


    I'm sorry my english is not verry good !


Le 14/06/2013 22:00, Petter Reinholdtsen a écrit :

>
> Thank you for the patch.  Which version of slbackup-php are you using?
>    
 slbackup-php            0.4.3-2
> Are you using it with Debian Edu?
>    
No this is debian wheezy standard distribution !

I use slbackup on lenny, today i migrate on wheezy.

If you other questions do not hesitate ...

Bye Cyril




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Oct 2013 07:32:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:23:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.